/*!
 * aksVideoPlayer v1.0.0
 * Video Player
 * (c) 2021 Ahmet Aksungur
 * MIT License
 * https://github.com/Ahmetaksungur
 */
!(function (e) {
    "use strict";
    e.fn.aksVideoPlayer = function (s) {
        const t = e(this);
        var a = e.extend(
            {
                file: "" | [],
                poster: "",
                width: 640,
                height: 360,
                rewind: !0,
                rewindValue: 10,
                forward: !1,
                forwardValue: 10,
                preview: !0,
                previewWidth: 140,
                previewHeight: 95,
                controller: !0,
                autoplay: !1,
                muted: !0,
                volume: 1,
                loop: !1,
                playbackRateLabel: "Playing Speed",
                playbackRate: ["0.25", "0.5", "0.75", "1", "1.25", "1.5", "1.75", "2"],
                captionsLabel: "Subtitles",
                captions: [],
                sourcesLabel: "Quality",
                playLabel: "Play",
                pauseLabel: "Pause",
                rewindLabel: "Rewind %s Seconds",
                forwardLabel: "Forward %s Seconds",
                settingsLabel: "Settings",
                fullScreenLabel: "Fullscreen",
                exitFullScreenLabel: "Exit Fullscreen",
                ads: [],
                adsSkipLabel: "Skip Ad",
                closeLabel: "Close",
                pictureinpicture: !0,
                pictureinpictureLabel: "Picture in Picture",
                contextMenu: [],
            },
            s
        );
        return this.each(function (s) {
            var i = "";
            i = a.file.length ? a.file[0].file : a.file;
            var n = '<div class="aks-video-player" style="width:' + a.width + "px;height:" + a.height + 'px;">';
            (n += '<div class="aks-vp-container">'),
                a.poster ? (n += '<div class="aks-vp-poster" style="background-image: url(' + a.poster + ');"></div>') : (n += '<div class="aks-vp-poster"></div>'),
                (n +=
                    '<div class="aks-vp-start"><svg width="50" height="50"  xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 240 240" focusable="false"><path d="M62.8,199.5c-1,0.8-2.4,0.6-3.3-0.4c-0.4-0.5-0.6-1.1-0.5-1.8V42.6c-0.2-1.3,0.7-2.4,1.9-2.6c0.7-0.1,1.3,0.1,1.9,0.4l154.7,77.7c2.1,1.1,2.1,2.8,0,3.8L62.8,199.5z"></path></svg></div>'),
                (n += '<div class="aks-vp-loading"><div class="aks-vp-loading-spinner"></div></div>'),
                (n += '<div class="aks-vp-top"></div>'),
                (n += "</div>"),
                !0 === a.controller &&
                ((n += '<div class="aks-vp-controls">'),
                    (n +=
                        '<div class="aks-vp-slider-container"><div class="aks-vp-slider"><div class="aks-vp-range-rail"><div class="aks-vp-range-loading"></div><div class="aks-vp-range-buffer"></div><div tabindex="-1" class="aks-vp-range-handler"></div></div><div class="aks-vp-slider-timer-tooltip"><span>00:00</span></div>'),
                    !0 === a.preview && (n += '<div class="aks-vp-slider-image-tooltip" style="width: ' + a.previewWidth + ";height:" + a.previewHeight + ';"></div>'),
                    (n += "</div></div>"),
                    (n += '<div class="aks-vp-row"><div class="aks-vp-wrap">'),
                    (n +=
                        '<button class="aks-vp-btn aks-vp-control" aks-tooltip="' +
                        a.playLabel +
                        '" flow="up"><svg class="aks-vp-control-play" viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" shape-rendering="geometricPrecision"><polygon points="5 3 19 12 5 21 5 3" fill="currentColor"></polygon></svg><svg class="aks-vp-control-pause" viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" shape-rendering="geometricPrecision"><rect x="6" y="4" width="4" height="16" fill="currentColor"></rect><rect x="14" y="4" width="4" height="16" fill="currentColor"></rect></svg></button>'),
                    !0 === a.rewind &&
                    (n +=
                        '<button class="aks-vp-btn aks-vp-rewind" aks-tooltip="' +
                        a.rewindLabel.replace("%s", a.rewindValue) +
                        '" flow="up"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor" viewBox="0 0 52 58"><g fill="currentColor" fill-rule="nonzero"><path d="M28.283 6.106L31.3 3.519A2 2 0 0028.7.481l-7 6a2 2 0 000 3.038l7 6a2 2 0 102.6-3.038l-2.711-2.323c11.732 1.39 20.272 11.8 19.343 23.577s-10.995 20.72-22.8 20.253C13.327 53.522 3.997 43.814 4 32a21.771 21.771 0 014.731-13.632 2 2 0 10-3.138-2.48A25.733 25.733 0 000 32c-.003 14.063 11.177 25.58 25.234 25.994 14.058.414 25.896-10.424 26.721-24.463.825-14.04-9.663-26.19-23.672-27.425z"/><path d="M15.7 15.519a2 2 0 102.6-3.038L13.073 8 18.3 3.519A2 2 0 0015.7.481l-7 6a2 2 0 000 3.038z"/></g></svg><span>' +
                        a.rewindValue +
                        "</span></button>"),
                    !0 === a.forward &&
                    (n +=
                        '<button class="aks-vp-btn aks-vp-forward" aks-tooltip="' +
                        a.forwardLabel.replace("%s", a.forwardValue) +
                        '" flow="up"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor" viewBox="0 0 52 58"><g fill="currentColor" fill-rule="nonzero"><path d="M46.407 15.888a2 2 0 00-3.138 2.48A21.771 21.771 0 0148 32c.003 11.814-9.326 21.521-21.131 21.988-11.805.466-21.871-8.474-22.8-20.252-.93-11.777 7.608-22.187 19.34-23.578L20.7 12.481a2 2 0 002.6 3.038l7-6a2 2 0 000-3.038l-7-6a2 2 0 10-2.6 3.038l3.019 2.587C9.709 7.34-.779 19.49.045 33.529s12.662 24.88 26.72 24.465C40.823 57.581 52.003 46.064 52 32a25.733 25.733 0 00-5.593-16.112z"/><path d="M33.481 15.3a2 2 0 002.821.217l7-6a2 2 0 000-3.038l-7-6a2 2 0 10-2.6 3.038L38.927 8 33.7 12.481a2 2 0 00-.219 2.819z"/></g></svg><span>' +
                        a.forwardValue +
                        "</span></button>"),
                    (n +=
                        '<div class="aks-vp-voice"><button class="aks-vp-btn aks-vp-voice-btn"><svg class="aks-vp-voice-on" width="24" height="24" fill="currentColor" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 240 240" focusable="false"><path d="M116.5,42.8v154.4c0,2.8-1.7,3.6-3.8,1.7l-54.1-48H29c-2.8,0-5.2-2.3-5.2-5.2V94.3c0-2.8,2.3-5.2,5.2-5.2h29.6l54.1-48C114.8,39.2,116.5,39.9,116.5,42.8z"></path><path d="M136.2,160v-20c11.1,0,20-8.9,20-20s-8.9-20-20-20V80c22.1,0,40,17.9,40,40S158.3,160,136.2,160z"></path><path d="M216.2,120c0-44.2-35.8-80-80-80v20c33.1,0,60,26.9,60,60s-26.9,60-60,60v20C180.4,199.9,216.1,164.1,216.2,120z"></path></svg>  <svg class="aks-vp-voice-off" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 240 240" focusable="false" width="24" height="24" fill="currentColor"><path d="M116.4,42.8v154.5c0,2.8-1.7,3.6-3.8,1.7l-54.1-48.1H28.9c-2.8,0-5.2-2.3-5.2-5.2V94.2c0-2.8,2.3-5.2,5.2-5.2h29.6l54.1-48.1C114.6,39.1,116.4,39.9,116.4,42.8z M212.3,96.4l-14.6-14.6l-23.6,23.6l-23.6-23.6l-14.6,14.6l23.6,23.6l-23.6,23.6l14.6,14.6l23.6-23.6l23.6,23.6l14.6-14.6L188.7,120L212.3,96.4z"></path></svg></button> <div class="aks-vp-voice-slider-rail" role="slider"> <div class="aks-vp-voice-slider-buffer"></div><input class="aks-vp-voice-slider-range" type="range" min="0" max="1" value="' +
                        a.volume +
                        '" step="0.01" /></div></div>'),
                    (n += '<div class="aks-vp-count"><span class="aks-vp-count-elapsed">00:00</span><span class="aks-vp-divider">/</span><span class="aks-vp-count-countdown">00:00</span></div>'),
                    (n += '</div><div class="aks-vp-wrap">'),
                    (n += '<div class="aks-vp-settings-box">'),
                    (n +=
                        '<button class="aks-vp-btn aks-vp-settings" aks-tooltip="' +
                        a.settingsLabel +
                        '" flow="up"><svg fill="currentColor" width="21" viewBox="0 0 426.667 426.667"><path d="M416.8 269.44l-45.013-35.307c.853-6.827 1.493-13.76 1.493-20.8s-.64-13.973-1.493-20.8l45.12-35.307c4.053-3.2 5.227-8.96 2.56-13.653L376.8 69.653c-2.667-4.587-8.213-6.507-13.013-4.587l-53.12 21.44c-10.987-8.427-23.04-15.573-36.053-21.013l-8-56.533C265.653 3.947 261.28 0 255.947 0h-85.333c-5.333 0-9.707 3.947-10.56 8.96l-8 56.533c-13.013 5.44-25.067 12.48-36.053 21.013l-53.12-21.44c-4.8-1.813-10.347 0-13.013 4.587L7.2 143.573c-2.667 4.587-1.493 10.347 2.56 13.653l45.013 35.307c-.853 6.827-1.493 13.76-1.493 20.8s.64 13.973 1.493 20.8L9.76 269.44c-4.053 3.2-5.227 8.96-2.56 13.653l42.667 73.92c2.667 4.587 8.213 6.507 13.013 4.587L116 340.16c10.987 8.427 23.04 15.573 36.053 21.013l8 56.533c.853 5.013 5.227 8.96 10.56 8.96h85.333c5.333 0 9.707-3.947 10.56-8.96l8-56.533c13.013-5.44 25.067-12.48 36.053-21.013l53.12 21.44c4.8 1.813 10.347 0 13.013-4.587l42.667-73.92c2.668-4.586 1.494-10.346-2.559-13.653zM213.28 288c-41.28 0-74.667-33.387-74.667-74.667S172 138.667 213.28 138.667s74.667 33.387 74.667 74.667S254.56 288 213.28 288z"/></svg></button>'),
                    (n += '<div class="aks-vp-settings-menu">'),
                    a.playbackRate.length &&
                    ((n += '<div class="aks-vp-settings-menu-items">'),
                        (n += '<div class="aks-vp-settings-menu-item" data-menu="#aks-playback-rate">'),
                        (n += "<span>" + a.playbackRateLabel + "</span>"),
                        (n +=
                            '<span><svg stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" fill="none" shape-rendering="geometricPrecision" viewBox="0 0 20 20"><path d="M9 18l6-6-6-6"></path></svg></span>'),
                        (n += "</div>")),
                    a.captions.length &&
                    ((n += '<div class="aks-vp-settings-menu-item" data-menu="#aks-subtitles">'),
                        (n += "<span>" + a.captionsLabel + "</span>"),
                        (n +=
                            '<span><svg stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" fill="none" shape-rendering="geometricPrecision" viewBox="0 0 20 20"><path d="M9 18l6-6-6-6"></path></svg></span>'),
                        (n += "</div>")),
                    a.file.length &&
                    ((n += '<div class="aks-vp-settings-menu-item" data-menu="#aks-sources">'),
                        (n += "<span>" + a.sourcesLabel + "</span>"),
                        (n +=
                            '<span><svg stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" fill="none" shape-rendering="geometricPrecision" viewBox="0 0 20 20"><path d="M9 18l6-6-6-6"></path></svg></span>'),
                        (n += "</div>")),
                    (n += "</div>"),
                    a.playbackRate.length &&
                    ((n += '<div id="aks-playback-rate" class="aks-vp-settings-menu-contents">'),
                        (n +=
                            '<div class="aks-vp-settings-menu-back"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 492 492"><path d="M198.608 246.104L382.664 62.04c5.068-5.056 7.856-11.816 7.856-19.024 0-7.212-2.788-13.968-7.856-19.032l-16.128-16.12C361.476 2.792 354.712 0 347.504 0s-13.964 2.792-19.028 7.864L109.328 227.008c-5.084 5.08-7.868 11.868-7.848 19.084-.02 7.248 2.76 14.028 7.848 19.112l218.944 218.932c5.064 5.072 11.82 7.864 19.032 7.864 7.208 0 13.964-2.792 19.032-7.864l16.124-16.12c10.492-10.492 10.492-27.572 0-38.06L198.608 246.104z"/></svg> ' +
                            a.playbackRateLabel +
                            "</div>"),
                        e.each(a.playbackRate, function (e, s) {
                            (n += '<div class="aks-vp-settings-menu-item" data-playback-rate="' + s + '">'), (n += "<span>" + s + "</span>"), (n += '<span class="aks-vp-settings-menu-icons"></span>'), (n += "</div>");
                        }),
                        (n += "</div>")),
                    a.captions.length &&
                    ((n += '<div id="aks-subtitles" class="aks-vp-settings-menu-contents">'),
                        (n +=
                            '<div class="aks-vp-settings-menu-back"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 492 492"><path d="M198.608 246.104L382.664 62.04c5.068-5.056 7.856-11.816 7.856-19.024 0-7.212-2.788-13.968-7.856-19.032l-16.128-16.12C361.476 2.792 354.712 0 347.504 0s-13.964 2.792-19.028 7.864L109.328 227.008c-5.084 5.08-7.868 11.868-7.848 19.084-.02 7.248 2.76 14.028 7.848 19.112l218.944 218.932c5.064 5.072 11.82 7.864 19.032 7.864 7.208 0 13.964-2.792 19.032-7.864l16.124-16.12c10.492-10.492 10.492-27.572 0-38.06L198.608 246.104z"/></svg> ' +
                            a.captionsLabel +
                            "</div>"),
                        e.each(a.captions, function (e, s) {
                            (n += '<div class="aks-vp-settings-menu-item" data-subtitles="' + s.label + '">'), (n += "<span>" + s.label + "</span>"), (n += '<span class="aks-vp-settings-menu-icons"></span>'), (n += "</div>");
                        }),
                        (n += '<div class="aks-vp-settings-menu-item aks-subtitles-close aks-active" data-subtitles="close">'),
                        (n += "<span>" + a.closeLabel + "</span>"),
                        (n += '<span class="aks-vp-settings-menu-icons"></span>'),
                        (n += "</div>"),
                        (n += "</div>")),
                    a.file.length &&
                    ((n += '<div id="aks-sources" class="aks-vp-settings-menu-contents">'),
                        (n +=
                            '<div class="aks-vp-settings-menu-back"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 492 492"><path d="M198.608 246.104L382.664 62.04c5.068-5.056 7.856-11.816 7.856-19.024 0-7.212-2.788-13.968-7.856-19.032l-16.128-16.12C361.476 2.792 354.712 0 347.504 0s-13.964 2.792-19.028 7.864L109.328 227.008c-5.084 5.08-7.868 11.868-7.848 19.084-.02 7.248 2.76 14.028 7.848 19.112l218.944 218.932c5.064 5.072 11.82 7.864 19.032 7.864 7.208 0 13.964-2.792 19.032-7.864l16.124-16.12c10.492-10.492 10.492-27.572 0-38.06L198.608 246.104z"/></svg> ' +
                            a.sourcesLabel +
                            "</div>"),
                        e.each(a.file, function (e, s) {
                            (n += '<div class="aks-vp-settings-menu-item" data-sources="' + s.label + '">'), (n += "<span>" + s.label + "</span>"), (n += '<span class="aks-vp-settings-menu-icons"></span>'), (n += "</div>");
                        }),
                        (n += "</div>")),
                    (n += "</div>"),
                    (n += "</div>"),
                    !0 === a.pictureinpicture &&
                    (n +=
                        '<button class="aks-vp-btn aks-vp-picturein" aks-tooltip="' +
                        a.pictureinpictureLabel +
                        '" flow="up"><svg width="24" height="24" fill="currentColor" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 48 48"><path d="M38 22H22v11.99h16V22zm8 16V9.96C46 7.76 44.2 6 42 6H6C3.8 6 2 7.76 2 9.96V38c0 2.2 1.8 4 4 4h36c2.2 0 4-1.8 4-4zm-4 .04H6V9.94h36v28.1z"/><path d="M0 0h48v48H0V0z" fill="none"/></svg></button>'),
                    (n +=
                        '<button class="aks-vp-btn aks-vp-full-screen" aks-tooltip="' +
                        a.fullScreenLabel +
                        '" flow="up"><svg class="aks-vp-full-screen-open" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 240 240" focusable="false" width="24" height="24" fill="currentColor"><path d="M96.3,186.1c1.9,1.9,1.3,4-1.4,4.4l-50.6,8.4c-1.8,0.5-3.7-0.6-4.2-2.4c-0.2-0.6-0.2-1.2,0-1.7l8.4-50.6c0.4-2.7,2.4-3.4,4.4-1.4l14.5,14.5l28.2-28.2l14.3,14.3l-28.2,28.2L96.3,186.1z M195.8,39.1l-50.6,8.4c-2.7,0.4-3.4,2.4-1.4,4.4l14.5,14.5l-28.2,28.2l14.3,14.3l28.2-28.2l14.5,14.5c1.9,1.9,4,1.3,4.4-1.4l8.4-50.6c0.5-1.8-0.6-3.6-2.4-4.2C197,39,196.4,39,195.8,39.1L195.8,39.1z"></path></svg><svg class="aks-vp-full-screen-exit" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 240 240" focusable="false" width="24" height="24" fill="currentColor"><path d="M109.2,134.9l-8.4,50.1c-0.4,2.7-2.4,3.3-4.4,1.4L82,172l-27.9,27.9l-14.2-14.2l27.9-27.9l-14.4-14.4c-1.9-1.9-1.3-3.9,1.4-4.4l50.1-8.4c1.8-0.5,3.6,0.6,4.1,2.4C109.4,133.7,109.4,134.3,109.2,134.9L109.2,134.9z M172.1,82.1L200,54.2L185.8,40l-27.9,27.9l-14.4-14.4c-1.9-1.9-3.9-1.3-4.4,1.4l-8.4,50.1c-0.5,1.8,0.6,3.6,2.4,4.1c0.5,0.2,1.2,0.2,1.7,0l50.1-8.4c2.7-0.4,3.3-2.4,1.4-4.4L172.1,82.1z"></path></svg></button>'),
                    (n += "</div></div>"),
                    (n += "</div>")),
                a.captions.length && (n += '<div class="aks-vp-cue"><div class="aks-vp-cue-text"></div></div>'),
                a.ads.length &&
                ((n += '<div class="aks-vp-ad-container">'),
                    e.each(a.ads, function (e, s) {
                        "google" === s.type ? (n += '<div id="aks-vp-ad-container"></div>') : (n += '<div class="aks-vp-ads-' + s.type + '"></div>');
                    }),
                    (n += "</div>")),
                (n += '<div class="aks-video">'),
                (n += '<video id="aks-video" class="aks-video" tabindex="-1" disableremoteplayback="" webkit-playsinline="" playsinline="" preload="metadata" src="' + i + '"></video>'),
                (n += "</div>"),
                (n += '<div class="aks-vp-gradient-bottom"></div>'),
                a.contextMenu.length &&
                ((n += '<div class="aks-vp-contextmenu">'),
                    (n += '<div class="aks-vp-contextmenu-items">'),
                    e.each(a.contextMenu, function (e, s) {
                        n += '<div class="aks-vp-contextmenu-item" data-contextmenu="' + s.label + '">' + s.label + "</div>";
                    }),
                    (n += "</div>"),
                    (n += '<div class="aks-vp-contextmenu-contents">'),
                    e.each(a.contextMenu, function (s, t) {
                        (n += '<div class="aks-vp-contextmenu-content" data-contextmenu-content="' + t.label + '">'),
                            "urlCopy" === t.type
                                ? (n +=
                                    '<div class="aks-vp-contextmenu-title">' +
                                    t.label +
                                    '</div><div class="aks-vp-contextmenu-copy"><span>' +
                                    t.url +
                                    '</span><button data-copy-url="' +
                                    t.url +
                                    '" class="aks-vp-contextmenu-copy-btn"><svg width="24" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" fill="none" shape-rendering="geometricPrecision" viewBox="0 0 24 24"><path d="M8 17.93H6c-1.1 0-2-.91-2-2.04V5.04C4 3.9 4.9 3 6 3h8c1.1 0 2 .91 2 2.04V6.9m-6 .17h8c1.1 0 2 .91 2 2.04v10.85c0 1.13-.9 2.04-2 2.04h-8c-1.1 0-2-.91-2-2.04V9.11c0-1.13.9-2.04 2-2.04z"/></svg></button></div>')
                                : "socialmedia" === t.type
                                    ? ((n += '<div class="aks-vp-contextmenu-title">' + t.label + "</div>"),
                                        (n += '<div class="aks-vp-contextmenu-socials">'),
                                        e.each(a.contextMenu[s].socials, function (e, s) {
                                            n += '<a href="' + s.url + '" class="aks-vp-contextmenu-socials-btn" style="background:' + s.colorBg + ";color:" + s.color + ';">' + s.icon + "</a>";
                                        }),
                                        (n += "</div>"))
                                    : "iframe" === t.type &&
                                    (n +=
                                        '<div class="aks-vp-contextmenu-title">' +
                                        t.label +
                                        '</div><div class="aks-vp-contextmenu-copy"><span>' +
                                        t.iframe +
                                        '</span><button data-copy-url="' +
                                        t.iframe +
                                        '" class="aks-vp-contextmenu-copy-btn"><svg width="24" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" fill="none" shape-rendering="geometricPrecision" viewBox="0 0 24 24"><path d="M8 17.93H6c-1.1 0-2-.91-2-2.04V5.04C4 3.9 4.9 3 6 3h8c1.1 0 2 .91 2 2.04V6.9m-6 .17h8c1.1 0 2 .91 2 2.04v10.85c0 1.13-.9 2.04-2 2.04h-8c-1.1 0-2-.91-2-2.04V9.11c0-1.13.9-2.04 2-2.04z"/></svg></button></div>'),
                            (n += "</div>");
                    }),
                    (n +=
                        '<div class="aks-vp-contextmenu-close"><svg viewBox="0 0 24 24" width="20" height="20" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" fill="none" shape-rendering="geometricPrecision" style=""><path d="M18 6L6 18"></path><path d="M6 6l12 12"></path></svg></div>'),
                    (n += "</div>"),
                    (n += "</div>")),
                (n += '<video class="aks-video-2" tabindex="-1" disableremoteplayback="" webkit-playsinline="" playsinline="" preload="metadata" src="' + i + '" muted hidden></video></div>'),
                e(t).append(n);
            const l = t.find("#aks-video").get(0);
            !0 === a.autoplay && (l.autoplay = !0);
            const o = t.find(".aks-video-2").get(0);
            l.load(), o.load(), (l.controls = !1), (o.controls = !1);
            const d = t.find(".aks-vp-slider"),
                c = t.find(".aks-vp-range-rail"),
                r = t.find(".aks-vp-range-buffer"),
                v = t.find(".aks-vp-range-handler");
            function p() {
                l.play(), o.play(), t.find(".aks-vp-control").attr("aks-tooltip", a.pauseLabel), t.find(".aks-vp-control-play").hide(), t.find(".aks-vp-control-pause").show();
            }
            function u() {
                l.pause(), t.find(".aks-vp-control").attr("aks-tooltip", a.playLabel), t.find(".aks-vp-control-play").show(), t.find(".aks-vp-control-pause").hide();
            }
            function k() {
                (l.muted = !0), t.find(".aks-vp-voice-on").hide(), t.find(".aks-vp-voice-off").show();
            }
            function f() {
                (l.muted = !1), t.find(".aks-vp-voice-on").show(), t.find(".aks-vp-voice-off").hide();
            }
            function h(e) {
                e.requestFullscreen ? e.requestFullscreen() : e.mozRequestFullScreen ? e.mozRequestFullScreen() : e.webkitRequestFullscreen ? e.webkitRequestFullscreen() : e.msRequestFullscreen && e.msRequestFullscreen(),
                    t.find(".aks-vp-full-screen-open").hide(),
                    t.find(".aks-vp-full-screen-exit").show(),
                    t.find(".aks-vp-full-screen").attr("aks-tooltip", a.exitFullScreenLabel),
                    t.find(".aks-video-player").addClass("aks-full-screen");
            }
            function g() {
                document.exitFullscreen
                    ? document.exitFullscreen()
                    : document.mozCancelFullScreen
                        ? document.mozCancelFullScreen()
                        : document.webkitExitFullscreen
                            ? document.webkitExitFullscreen()
                            : document.msExitFullscreen && document.msExitFullscreen(),
                    t.find(".aks-vp-full-screen-open").show(),
                    t.find(".aks-vp-full-screen-exit").hide(),
                    t.find(".aks-video-player").removeClass("aks-full-screen"),
                    t.find(".aks-vp-full-screen").attr("aks-tooltip", a.fullScreenLabel);
            }
            function m() {
                return null !== (document.fullscreenElement || document.webkitFullscreenElement || document.mozFullScreenElement || document.msFullscreenElement || null);
            }
            function w(s) {
                e(d).on("mouseup touchend", function () {
                    e(d).off("mousemove"), e(d).unbind("mousemove"), e(d).off("mouseup"), e(d).unbind("mouseup"), e(d).off("touchend"), e(d).unbind("touchend"), e(d).off("touchstart"), e(d).unbind("touchstart");
                }),
                    e(d).on("mousemove touchstart", function (s) {
                        !(function (s) {
                            const { left: t, right: a } = d[0].getBoundingClientRect(),
                                { clientX: i } = s;
                            i > t && i < a && (e(r).css("width", i - t + 5), e(v).css("left", i - t));
                        })(s),
                            y();
                    });
            }
            function b() {
                var s,
                    a = (l.currentTime / l.duration) * 100;
                (s = a),
                    e(r).css("width", s + "%"),
                    e(v).css("left", s + "%"),
                    t.find(".aks-vp-count-elapsed").text(
                        (function () {
                            var e = Math.round(l.currentTime),
                                s = Math.floor(e / 60);
                            s > 0 && (e -= 60 * s);
                            1 === e.toString().length && (e = "0" + e);
                            1 === s.toString().length && (s = "0" + s);
                            var t = s + ":" + e;
                            return "NaN:NaN" === t ? "00:00" : t;
                        })()
                    ),
                    t.find(".aks-vp-count-countdown").text(x()),
                    e(l).on("progress", function (e) {
                        4 === l.readyState ? t.find(".aks-vp-loading").hide() : t.find(".aks-vp-loading").show();
                        for (var s = 0; s < l.buffered.length; s++)
                            if (l.buffered.start(l.buffered.length - 1 - s) < l.currentTime) {
                                t.find(".aks-vp-range-loading").css("width", (l.buffered.end(l.buffered.length - 1 - s) / l.duration) * 90 + "%");
                                break;
                            }
                    });
            }
            function y() {
                var e = event.pageX - d.offset().left,
                    s = d.outerWidth();
                (l.currentTime = (e / s) * l.duration), b();
            }
            function x() {
                var e = "00",
                    s = "00";
                (e = Math.round(l.duration)), (s = Math.floor(e / 60)) > 0 && (e -= 60 * s), 1 === e.toString().length && (e = "0" + e), 1 === s.toString().length && (s = "0" + s);
                var t = s + ":" + e;
                return "NaN:NaN" === t ? "00:00" : t;
            }
            function C(e) {
                var s = e.match(/^(?:([0-9]+):)?([0-5][0-9]):([0-5][0-9](?:[.,][0-9]{0,3})?)/);
                if (null == s) throw "Invalid timestamp format: " + e;
                var t = parseInt(s[1] || "0", 10),
                    a = parseInt(s[2], 10);
                return parseFloat(s[3].replace(",", ".")) + 60 * a + 3600 * t;
            }
            if (
                (!1 === a.muted && f(),
                    !0 === a.loop
                        ? (l.loop = !0)
                        : e(l).on("ended", function () {
                            u();
                        }),
                    b(),
                    e(v).on("mousedown touchstart", function (e) {
                        w();
                    }),
                    e(c).on("click", function (e) {
                        y();
                    }),
                    e(d).on("click", function (e) {
                        y();
                    }),
                    t.find(".aks-vp-count-countdown").text(x()),
                    e(l).on("timeupdate", function () {
                        b();
                    }),
                    t.find(".aks-vp-start").click(function () {
                        t.find(".aks-vp-start").hide(), t.find(".aks-vp-poster").hide(), t.find(".aks-vp-top").show(), t.find(".aks-vp-controls").css("display", "flex"), p();
                    }),
                    t.find(".aks-vp-top").click(function () {
                        return l.paused ? p() : u(), !1;
                    }),
                    t.find(".aks-vp-control").click(function () {
                        return l.paused ? p() : u(), !1;
                    }),
                    t.find(".aks-vp-voice-btn").click(function () {
                        !1 === l.muted ? k() : f();
                    }),
                    t.find(".aks-vp-full-screen").click(function () {
                        m() ? g() : h(t.find(".aks-video-player")[0]);
                    }),
                    t.find(".aks-vp-container").dblclick(function () {
                        m() ? g() : h(t.find(".aks-video-player")[0]);
                    }),
                    t.find(".aks-vp-slider-container").mousemove(function (e) {
                        var s,
                            i,
                            n,
                            c = e.pageX - d.offset().left,
                            r = d.outerWidth();
                        !0 === a.preview &&
                            ((o.currentTime = (c / r) * l.duration),
                                (s = a.previewWidth),
                                (i = a.previewHeight),
                                ((n = document.createElement("canvas")).width = s),
                                (n.height = i),
                                n.getContext("2d").drawImage(o, 0, 0, s, i),
                                t.find(".aks-vp-slider-image-tooltip").html(n),
                                t.find(".aks-vp-slider-image-tooltip").css({ left: c }).show(),
                                t.find(".aks-vp-slider-image-tooltip").css({ width: a.previewWidth }).show(),
                                t.find(".aks-vp-slider-image-tooltip").css({ height: a.previewHeight }).show());
                        var v = Math.round((c / r) * l.duration),
                            p = Math.floor(v / 60);
                        p > 0 && (v -= 60 * p),
                            1 === v.toString().length && (v = "0" + v),
                            1 === p.toString().length && (p = "0" + p),
                            t.find(".aks-vp-slider-timer-tooltip span").text(p + ":" + v),
                            t.find(".aks-vp-slider-timer-tooltip").css({ left: c }).show();
                    }),
                    t.find(".aks-vp-slider-container, .aks-video-player").mouseleave(function (e) {
                        t.find(".aks-vp-slider-timer-tooltip").hide(), !0 === a.preview && t.find(".aks-vp-slider-image-tooltip").hide();
                    }),
                    t.find(".aks-vp-voice-slider-range").on("input change", function () {
                        var s = (localStorage[this.id] = e(this).val());
                        t.find(".aks-vp-voice-slider-buffer").css("width", 100 * s + "%"), (l.volume = s), t.find(".aks-vp-voice-slider-range").attr("value", s), 0 == s ? k() : f();
                    }),
                    t.find(".aks-vp-voice-slider-range").each(function () {
                        void 0 !== localStorage[this.id] && e(this).val(localStorage[this.id]);
                    }),
                    t
                        .find(".aks-vp-voice-slider-range")
                        .keyup(function () {
                            var s = (localStorage[this.id] = e(this).val());
                            t.find(".aks-vp-voice-slider-buffer").css("width", 100 * s + "%"), (l.volume = s), t.find(".aks-vp-voice-slider-range").attr("value", s), 0 == s ? k() : f();
                        })
                        .keyup(),
                    m() &&
                    e(document).on("keydown", this, function (e) {
                        27 === (void 0 !== e.keyCode && e.keyCode ? e.keyCode : e.which) && g();
                    }),
                    !0 === a.forward &&
                    (t.find(".aks-vp-forward").click(function () {
                        l.currentTime += a.forwardValue;
                    }),
                        e(document).on("keydown", this, function (e) {
                            39 === (void 0 !== e.keyCode && e.keyCode ? e.keyCode : e.which) && (l.currentTime += a.forwardValue);
                        })),
                    !0 === a.rewind &&
                    (t.find(".aks-vp-rewind").click(function () {
                        l.currentTime -= a.rewindValue;
                    }),
                        e(document).on("keydown", this, function (e) {
                            37 === (void 0 !== e.keyCode && e.keyCode ? e.keyCode : e.which) && (l.currentTime -= a.rewindValue);
                        })),
                    t.find("[data-menu]").click(function () {
                        var s = e(this).attr("data-menu");
                        t.find(s).addClass("aks-opened"),
                            t.find(".aks-vp-settings-menu-items").toggleClass("aks-hide"),
                            t.find("[data-playback-rate]").each(function (s, t) {
                                e(t).hasClass("aks-active") && e(t)[0].scrollIntoView({ behavior: "smooth", inline: "center", block: "center" });
                            });
                    }),
                    t.find(".aks-vp-settings-menu-back").click(function () {
                        e(this).parent().toggleClass("aks-opened"), t.find(".aks-vp-settings-menu-items").removeClass("aks-hide");
                    }),
                    t.find(".aks-vp-settings").click(function (s) {
                        s.preventDefault(), s.stopPropagation(), t.find(".aks-vp-settings-menu").toggleClass("aks-opened"), e(this).toggleClass("aks-active");
                    }),
                    t.find(".aks-vp-settings-menu").click(function (e) {
                        e.stopPropagation();
                    }),
                    e("body").click(function () {
                        t.find(".aks-vp-settings-menu").removeClass("aks-opened"), t.find(".aks-vp-settings").removeClass("aks-active");
                    }),
                    t.click(function () {
                        t.find(".aks-vp-settings-menu").removeClass("aks-opened");
                    }),
                    t.find("[data-playback-rate]").click(function (s) {
                        var t = e(this).attr("data-playback-rate");
                        localStorage.setItem("aks-playback-rate", t), (l.playbackRate = t), e(this).addClass("aks-active"), e(this).siblings().removeClass("aks-active");
                    }),
                    localStorage.getItem("aks-playback-rate"))
            ) {
                var L = localStorage.getItem("aks-playback-rate");
                (l.playbackRate = L), t.find('[data-playback-rate="' + L + '"]').addClass("aks-active");
            } else t.find('[data-playback-rate="1"]').addClass("aks-active");
            if (
                (t.find("[data-subtitles]").click(function (s) {
                    var i = e(this).attr("data-subtitles");
                    if ((e(this).addClass("aks-active"), e(this).siblings().removeClass("aks-active"), "close" === i)) t.find(".aks-vp-cue").removeClass("aks-active");
                    else {
                        t.find(".aks-vp-cue").addClass("aks-active");
                        var n = a.captions.filter(function (e) {
                            return i.indexOf(e.label) > -1;
                        });
                        e.get(n[0].file, function (s) {
                            e(l).on("timeupdate", function () {
                                var e = l.currentTime,
                                    a = (function (e) {
                                        for (
                                            var s = e
                                                .trim()
                                                .replace("\r\n", "\n")
                                                .split(/[\r\n]/)
                                                .map(function (e) {
                                                    return e.trim();
                                                }),
                                            t = [],
                                            a = null,
                                            i = null,
                                            n = null,
                                            l = 0;
                                            l < s.length;
                                            l++
                                        )
                                            if (s[l].indexOf("--\x3e") >= 0) {
                                                var o = s[l].split(/[ \t]+-->[ \t]+/);
                                                if (2 != o.length) throw 'Error when splitting "--\x3e": ' + s[l];
                                                (a = C(o[0])), (i = C(o[1]));
                                            } else if ("" == s[l]) {
                                                if (a && i) {
                                                    var d = new VTTCue(a, i, n);
                                                    t.push(d), (a = null), (i = null), (n = null);
                                                }
                                            } else a && i && (null == n ? (n = s[l]) : (n += "\n" + s[l]));
                                        a && i && ((d = new VTTCue(a, i, n)), t.push(d));
                                        return t;
                                    })(s).filter(function (s) {
                                        return s.startTime <= e && s.endTime >= e;
                                    });
                                a.length > 0 ? t.find(".aks-vp-cue-text").html("<span>" + a[0].text + "</span>") : t.find(".aks-vp-cue-text").html("");
                            });
                        });
                    }
                }),
                    t.find("[data-sources]").click(function (s) {
                        var t = e(this).attr("data-sources");
                        localStorage.setItem("aks-sources", t), e(this).addClass("aks-active"), e(this).siblings().removeClass("aks-active");
                        var i = a.file.filter(function (e) {
                            return t.indexOf(e.label) > -1;
                        }),
                            n = l.currentTime;
                        e(l).attr("src", i[0].file), l.load(), (l.currentTime = n), e(o).attr("src", i[0].file), o.load(), (o.currentTime = n), p();
                    }),
                    localStorage.getItem("aks-sources"))
            ) {
                var E = localStorage.getItem("aks-sources"),
                    M = a.file.filter(function (e) {
                        return E.indexOf(e.label) > -1;
                    });
                e(l).attr("src", M[0].file), e(o).attr("src", M[0].file), t.find('[data-sources="' + E + '"]').addClass("aks-active");
            } else t.find('[data-sources="' + a.file[0].label + '"]').addClass("aks-active");
            var A = null;
            t.find(".aks-video-player").on("mousemove", function () {
                null !== A && (t.find(".aks-video-player").removeClass("aks-mouse"), clearTimeout(A)),
                    (A = setTimeout(function () {
                        t.find(".aks-video-player").addClass("aks-mouse");
                    }, 4e3));
            }),
                a.ads.length &&
                e.each(a.ads, function (s, i) {
                    if ("google" === i.type) {
                        var n,
                            o,
                            d,
                            c = l;
                        function r() {
                            google.ima.settings.setPlayerType("google/aks-video-player"),
                                google.ima.settings.setPlayerVersion("1.0.0"),
                                (d = new google.ima.AdDisplayContainer(document.getElementById("aks-vp-ad-container"), c)).initialize(),
                                c.load(),
                                (o = new google.ima.AdsLoader(d)).getSettings().setAutoPlayAdBreaks(!1),
                                o.addEventListener(google.ima.AdsManagerLoadedEvent.Type.ADS_MANAGER_LOADED, v, !1),
                                o.addEventListener(google.ima.AdErrorEvent.Type.AD_ERROR, f, !1);
                            var e = new google.ima.AdsRequest();
                            (e.adTagUrl = a.ads[0].url), (e.linearAdSlotWidth = 640), (e.linearAdSlotHeight = 400), (e.nonLinearAdSlotWidth = 640), (e.nonLinearAdSlotHeight = 150), o.requestAds(e);
                        }
                        function v(e) {
                            var s = new google.ima.AdsRenderingSettings();
                            (s.restoreCustomPlaybackStateOnAdBreakComplete = !0),
                                (n = e.getAdsManager(c, s)).addEventListener(google.ima.AdErrorEvent.Type.AD_ERROR, f),
                                n.addEventListener(google.ima.AdEvent.Type.CONTENT_PAUSE_REQUESTED, h),
                                n.addEventListener(google.ima.AdEvent.Type.CONTENT_RESUME_REQUESTED, g),
                                n.addEventListener(google.ima.AdEvent.Type.ALL_ADS_COMPLETED, k),
                                n.addEventListener(google.ima.AdEvent.Type.LOADED, k),
                                n.addEventListener(google.ima.AdEvent.Type.STARTED, k),
                                n.addEventListener(google.ima.AdEvent.Type.COMPLETE, k),
                                n.addEventListener(google.ima.AdEvent.Type.AD_BREAK_READY, m);
                            try {
                                n.init(t.find(".aks-video-player").width(), t.find(".aks-video-player").height(), google.ima.ViewMode.NORMAL), n.start();
                            } catch (e) {
                                t.find(".aks-video-player").removeClass("aks-ads-play"), p();
                            }
                        }
                        function k(e) {
                            var s = e.getAd();
                            switch (e.type) {
                                case google.ima.AdEvent.Type.LOADED:
                                    s.isLinear() || (t.find(".aks-video-player").removeClass("aks-ads-play"), p());
                            }
                        }
                        function f(e) {
                            console.log(e.getError()), n.destroy();
                        }
                        function h() {
                            u(), t.find(".aks-video-player").addClass("aks-ads-play");
                        }
                        function g() {
                            p(), t.find(".aks-video-player").removeClass("aks-ads-play");
                        }
                        function m(e) {
                            console.log(e.getAdData()), n.start();
                        }
                        e(l).on("ended", function () {
                            o.contentComplete();
                        }),
                            t.find(".aks-vp-start").on("click", function () {
                                r();
                            });
                    } else
                        e(l).on("timeupdate", function () {
                            var e = Math.round(l.currentTime),
                                s = Math.floor(e / 60);
                            s > 0 && (e -= 60 * s), 1 === e.toString().length && (e = "0" + e), 1 === s.toString().length && (s = "0" + s);
                            var i = s + ":" + e,
                                n = a.ads.filter(function (e) {
                                    return e.time === i;
                                });
                            if (n.length > 0)
                                if ((t.find(".aks-vp-ad-container").css("opacity", "1"), t.find(".aks-vp-ad-container").css("visibility", "visible"), "image" === n[0].type))
                                    t.find(".aks-vp-ads-image").css("display", "flex"),
                                        t
                                            .find(".aks-vp-ads-image")
                                            .html(
                                                '<div class="aks-vp-ads-box" style="width:' +
                                                n[0].width +
                                                "px;height:" +
                                                n[0].height +
                                                'px;"><a target="_blank" href="' +
                                                n[0].link +
                                                '"><img src="' +
                                                n[0].src +
                                                '" /></a><div class="aks-vp-ads-close"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 15"><defs/><path d="M8.414 7l5.293-5.293A.999.999 0 1012.293.293L7 5.586 1.707.293A.999.999 0 10.293 1.707L5.586 7 .293 12.293a.999.999 0 101.414 1.414L7 8.414l5.293 5.293a.997.997 0 001.414 0 .999.999 0 000-1.414L8.414 7z" fill-rule="evenodd"/></svg></div></div>'
                                            ),
                                        t.find(".aks-vp-ads-close").click(function () {
                                            t.find(".aks-vp-ads-image").html(""), t.find(".aks-vp-ads-image").css("display", "none");
                                        });
                                else if ("video" === n[0].type) {
                                    u(),
                                        t.find(".aks-video-player").addClass("aks-ads-play"),
                                        t.find(".aks-vp-ads-video").show(),
                                        t
                                            .find(".aks-vp-ads-video")
                                            .html(
                                                '<div tabindex="-1" class="aks-vp-ads-box"><a target="_blank" href="' +
                                                n[0].link +
                                                '"><video class="aks-video-ads" autoplay="" src="' +
                                                n[0].src +
                                                '" ></video></a><div tabindex="-1" class="aks-vp-ads-skip">' +
                                                n[0].adstimer +
                                                "</div></div>"
                                            ),
                                        t.find(".aks-video-ads").on("ended", function () {
                                            t.find(".aks-vp-ads-video").html(""), t.find(".aks-vp-ads-video").hide(), t.find(".aks-video-player").removeClass("aks-ads-play");
                                            var e = l.currentTime;
                                            (l.currentTime = e + 0.195), p();
                                        });
                                    var o = n[0].adstimer,
                                        d = setInterval(function () {
                                            o <= 0
                                                ? (clearInterval(d),
                                                    t
                                                        .find(".aks-vp-ads-video .aks-vp-ads-skip")
                                                        .html(
                                                            a.adsSkipLabel +
                                                            ' <svg width="17" fill="currentColor" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 17"><defs/><path d="M1.573.183l10 7a1 1 0 010 1.638l-10 7A1 1 0 010 15.001v-14A1 1 0 011.573.184zM15 .002a1 1 0 011 1v14a1 1 0 11-2 0v-14a1 1 0 011-1zM2 2.922v10.16l7.256-5.08L2 2.922z" fill-rule="evenodd"/></svg>'
                                                        ),
                                                    t.find(".aks-vp-ads-video .aks-vp-ads-skip").click(function () {
                                                        t.find(".aks-vp-ads-video").html(""), t.find(".aks-vp-ads-video").hide(), t.find(".aks-video-player").removeClass("aks-ads-play");
                                                        var e = l.currentTime;
                                                        (l.currentTime = e + 0.195), p();
                                                    }))
                                                : t.find(".aks-vp-ads-video .aks-vp-ads-skip").html(o),
                                                (o -= 1);
                                        }, 1e3);
                                } else
                                    "html" === n[0].type &&
                                        (t.find(".aks-vp-ads-html").css("display", "flex"),
                                            t
                                                .find(".aks-vp-ads-html")
                                                .html(
                                                    '<div class="aks-vp-ads-box">' +
                                                    n[0].html +
                                                    '<div class="aks-vp-ads-close"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 15"><defs/><path d="M8.414 7l5.293-5.293A.999.999 0 1012.293.293L7 5.586 1.707.293A.999.999 0 10.293 1.707L5.586 7 .293 12.293a.999.999 0 101.414 1.414L7 8.414l5.293 5.293a.997.997 0 001.414 0 .999.999 0 000-1.414L8.414 7z" fill-rule="evenodd"/></svg></div></div>'
                                                ),
                                            t.find(".aks-vp-ads-close").click(function () {
                                                t.find(".aks-vp-ads-html").html(""), t.find(".aks-vp-ads-html").css("display", "none");
                                            }));
                        });
                }),
                t.find(".aks-vp-picturein").click(function (s) {
                    if ((e(this).toggleClass("aks-active"), e(this).hasClass("aks-active"))) {
                        var i = e(l).attr("src");
                        e("body").append(
                            ((n = ""),
                                (n += '<div class="aks-vp-picture-in-picture draggable">'),
                                (n += '<div class="aks-vp-picture-in-video"><video disableremoteplayback="" webkit-playsinline="" playsinline="" preload="metadata" class="aks-vp-picture-video" muted src="' + i + '"></video></div>'),
                                (n += '<div class="aks-vp-picture-in-video-controls">'),
                                (n +=
                                    '<button class="aks-vp-btn aks-vp-control-picture-in" aks-tooltip="' +
                                    a.playLabel +
                                    '" flow="up"><svg class="aks-vp-control-play" viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" shape-rendering="geometricPrecision"><polygon points="5 3 19 12 5 21 5 3" fill="currentColor"></polygon></svg><svg class="aks-vp-control-pause" viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" shape-rendering="geometricPrecision"><rect x="6" y="4" width="4" height="16" fill="currentColor"></rect><rect x="14" y="4" width="4" height="16" fill="currentColor"></rect></svg></button>'),
                                (n +=
                                    '<button class="aks-vp-btn aks-vp-picture-out" aks-tooltip="' +
                                    a.closeLabel +
                                    '" flow="up"><svg width="18" height="18" fill="currentColor" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 15"><defs/><path d="M8.414 7l5.293-5.293A.999.999 0 1012.293.293L7 5.586 1.707.293A.999.999 0 10.293 1.707L5.586 7 .293 12.293a.999.999 0 101.414 1.414L7 8.414l5.293 5.293a.997.997 0 001.414 0 .999.999 0 000-1.414L8.414 7z" fill-rule="evenodd"/></svg></button>'),
                                (n += "</div>"),
                                (n += "</div>"))
                        ),
                            (e(".aks-vp-picture-video").get(0).muted = !1),
                            (e(".aks-vp-picture-video").get(0).volume = 0),
                            e(l).on("timeupdate", function () {
                                e(".aks-vp-control-picture-in .aks-vp-control-play").hide(),
                                    e(".aks-vp-control-picture-in .aks-vp-control-pause").show(),
                                    l.paused
                                        ? (e(".aks-vp-picture-video").get(0).pause(),
                                            e(".aks-vp-control-picture-in .aks-vp-control-play").show(),
                                            e(".aks-vp-control-picture-in .aks-vp-control-pause").hide(),
                                            e(".aks-vp-control-picture-in").attr("aks-tooltip", a.playLabel))
                                        : (e(".aks-vp-picture-video").get(0).play(),
                                            e(".aks-vp-control-picture-in .aks-vp-control-play").hide(),
                                            e(".aks-vp-control-picture-in .aks-vp-control-pause").show(),
                                            e(".aks-vp-control-picture-in").attr("aks-tooltip", a.pauseLabel)),
                                    (e(".aks-vp-picture-video").get(0).currentTime = l.currentTime);
                            }),
                            e(".aks-vp-control-picture-in").on("click", function () {
                                l.paused
                                    ? (e(".aks-vp-picture-video").get(0).play(), e(this).find(".aks-vp-control-play").hide(), e(this).find(".aks-vp-control-pause").show(), p())
                                    : (e(".aks-vp-picture-video").get(0).pause(), e(this).find(".aks-vp-control-play").show(), e(this).find(".aks-vp-control-pause").hide(), u());
                            }),
                            e(".aks-vp-picture-out").on("click", function () {
                                e(".aks-vp-picture-in-picture").remove(), e(".aks-vp-picture-in-picture").html(""), t.find(".aks-vp-picturein").removeClass("aks-active");
                            });
                    } else e(".aks-vp-picture-in-picture").remove();
                    var n;
                }),
                a.contextMenu.length &&
                (t.find(".aks-video-player").on("contextmenu", function (e) {
                    return t.find(".aks-vp-contextmenu").show(), t.find(".aks-vp-contextmenu-items").css({ display: "block", left: e.pageX, top: e.pageY }), !1;
                }),
                    t.find("[data-contextmenu]").on("click", function (s) {
                        t.find(".aks-vp-contextmenu-contents").addClass("aks-active");
                        var a = e(this).attr("data-contextmenu");
                        e('[data-contextmenu-content="' + a + '"]').addClass("aks-active"),
                            e('[data-contextmenu-content="' + a + '"]')
                                .siblings()
                                .removeClass("aks-active"),
                            t.find(".aks-vp-contextmenu-items").addClass("aks-hide"),
                            t.find(".aks-video-player").addClass("aks-ads-play");
                    }),
                    t.find(".aks-vp-contextmenu-close").on("click", function () {
                        e(".aks-vp-contextmenu-contents").removeClass("aks-active"), t.find(".aks-vp-contextmenu-items").removeClass("aks-hide"), t.find(".aks-video-player").removeClass("aks-ads-play");
                    }),
                    e("html").click(function () {
                        t.find(".aks-vp-contextmenu-items").hide();
                    }),
                    t.find("[data-copy-url]").click(function () {
                        var s,
                            t,
                            a = e(this).attr("data-copy-url");
                        (s = a), (t = e("<input>")), e("body").append(t), t.val(s).select(), document.execCommand("copy"), t.remove();
                    }));
        });
    };
})(jQuery);
